/*
 * Class DYNAMIC_LIST [INTEGER_16]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1947 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1947 [] = {0xFF01,1551,1946,878,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1947 [] = {0xFF01,1946,878,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1947 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1947 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1947 [] = {0xFF01,1946,878,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1947 [] = {0xFF01,1946,878,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1947 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1947 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1947 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1947 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1947 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1947 [] = {1946,878,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1947 [] = {0xFF01,1946,878,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1947 [] = {0xFF01,1938,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1947 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1947 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1947 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1947 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1947 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1947 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1947 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1947 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1947 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1947 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1947 [] = {0xFF01,1946,878,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1947 [] = {0xFF01,1933,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1947 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1947 [] = {0xFF01,1946,878,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1947 [] = {0xFF01,601,0xFFFF};


static const struct desc_info desc_1947[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1947), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1947), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12488, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1947), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1947), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1947), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1947), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1947), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1947), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1947), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1947), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1947), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1947), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1947), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1947), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12243, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9221, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8649, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8650, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8651, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8652, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1947), 8889, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1947), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1947), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9301, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9302, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9095, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12244, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8974, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12247, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1947), 8882, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8883, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12489, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12250, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1947), 12245, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1947), 12248, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12253, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1947), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12256, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12249, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8885, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8886, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8887, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8888, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1947), 12245, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1947), 12246, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12253, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12259, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12259, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1947), 12241, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1947), 12242, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12251, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12252, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12254, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12255, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12257, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12258, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12238, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1947), 12422, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8879, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8878, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8881, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12417, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12418, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9039, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9305, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12237, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12419, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12420, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12550, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1947), 11019, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1947), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12490, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8880, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9303, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12260, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12247, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12421, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12547, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12548, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12549, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1947), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1947), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1947(void)
{
	IDSC(desc_1947, 0, 1946);
	IDSC(desc_1947 + 1, 1, 1946);
	IDSC(desc_1947 + 32, 1134, 1946);
	IDSC(desc_1947 + 41, 1060, 1946);
	IDSC(desc_1947 + 47, 1444, 1946);
	IDSC(desc_1947 + 56, 1570, 1946);
	IDSC(desc_1947 + 59, 1534, 1946);
	IDSC(desc_1947 + 66, 916, 1946);
	IDSC(desc_1947 + 72, 636, 1946);
	IDSC(desc_1947 + 86, 1135, 1946);
	IDSC(desc_1947 + 95, 1088, 1946);
	IDSC(desc_1947 + 97, 1245, 1946);
	IDSC(desc_1947 + 100, 387, 1946);
	IDSC(desc_1947 + 102, 778, 1946);
	IDSC(desc_1947 + 103, 658, 1946);
	IDSC(desc_1947 + 104, 340, 1946);
	IDSC(desc_1947 + 112, 254, 1946);
	IDSC(desc_1947 + 115, 554, 1946);
	IDSC(desc_1947 + 116, 878, 1946);
	IDSC(desc_1947 + 117, 794, 1946);
}


#ifdef __cplusplus
}
#endif
